Skip to main content

Get offerings for a device type

GET 

/api/v2/catalog/offering/device-type/:deviceTypeIdentifier

Retrieves all available component offerings for a specific device type by device type identifier. Optionally filter by platform identifier to narrow down the results.

Request

Path Parameters

    deviceTypeIdentifier stringrequired

    Device type identifier (ID or name)

Query Parameters

    platformIdentifier string

    Platform identifier (ID or name)

Responses

Successfully retrieved device type offering

Schema

    deviceTypeId doublerequired

    ID of the device type

    deviceTypeName stringrequired

    Name of the device type

    projects

    object[]

  • Array [

  • displayName stringnullable

    Display name of the project

    label stringnullable

    Label of the project

    projectId doublerequired

    Identifier of the project

    projectName stringrequired

    Name of the project

    release

    object

    createdAt date-timerequired
    id stringrequired
    latest booleannullable
    metadata nullable
    projectName stringrequired
    releaseNotes stringnullable
    releasedAt date-time
    size int64nullable
    status Statusrequired

    Possible values: [draft, in_review, approved, released, archived]

    type Typerequired

    Possible values: [product, formation]

    updatedAt date-timerequired
    version stringrequired
  • ]

Loading...